asn1_get_object_id_der(3)

NAME
asn1_get_object_id_der - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_get_object_id_der(const unsigned char * der, int der_len, int * ret_len, char * str, int str_size);

ARGUMENTS

const unsigned char * der
    DER data to decode containing the OBJECT IDENTIFIER

int der_len
    Length of DER data to decode.

int * ret_len
    Output variable containing the length of the DER data.

char * str
    Pre-allocated output buffer to put the textual object id in.

int str_size
    Length of pre-allocated output buffer.

DESCRIPTION
Converts a DER encoded object identifier to its textual form. This function expects the DER object identifier without the tag.

RETURNS
ASN1_SUCCESS on success, or an error.

COPYRIGHT
Copyright © 2006-2021 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libtasn1/manual/